#include <kdialog.h>
#include <klocale.h>

#ifndef UI_EXPORTDIALOGUI_H
#define UI_EXPORTDIALOGUI_H

#include <qvariant.h>


#include <Qt3Support/Q3ButtonGroup>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QRadioButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include <kcombobox.h>
#include "kcombobox.h"
#include "klineedit.h"

QT_BEGIN_NAMESPACE

class Ui_ExportDialogUI
{
public:
    QVBoxLayout *vboxLayout;
    QHBoxLayout *hboxLayout;
    QLabel *textLabel1;
    KComboBox *comboBoxEncoding;
    QSpacerItem *Spacer2;
    Q3ButtonGroup *buttonGroupEndOfLine;
    QVBoxLayout *vboxLayout1;
    QRadioButton *radioEndOfLineLF;
    QRadioButton *radioEndOfLineCRLF;
    QRadioButton *radioEndOfLineCR;
    QSpacerItem *Spacer3;

    void setupUi(QWidget *ExportDialogUI)
    {
        if (ExportDialogUI->objectName().isEmpty())
            ExportDialogUI->setObjectName(QString::fromUtf8("ExportDialogUI"));
        ExportDialogUI->resize(464, 263);
        vboxLayout = new QVBoxLayout(ExportDialogUI);
        vboxLayout->setSpacing(6);
        vboxLayout->setMargin(11);
        vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
        hboxLayout = new QHBoxLayout();
        hboxLayout->setSpacing(6);
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        textLabel1 = new QLabel(ExportDialogUI);
        textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
        textLabel1->setTextFormat(Qt::PlainText);
        textLabel1->setWordWrap(false);

        hboxLayout->addWidget(textLabel1);

        comboBoxEncoding = new KComboBox(ExportDialogUI);
        comboBoxEncoding->setObjectName(QString::fromUtf8("comboBoxEncoding"));
        comboBoxEncoding->setEditable(true);

        hboxLayout->addWidget(comboBoxEncoding);

        Spacer2 = new QSpacerItem(106, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout->addItem(Spacer2);


        vboxLayout->addLayout(hboxLayout);

        buttonGroupEndOfLine = new Q3ButtonGroup(ExportDialogUI);
        buttonGroupEndOfLine->setObjectName(QString::fromUtf8("buttonGroupEndOfLine"));
        buttonGroupEndOfLine->setColumnLayout(0, Qt::Vertical);
        buttonGroupEndOfLine->layout()->setSpacing(6);
        buttonGroupEndOfLine->layout()->setMargin(11);
        vboxLayout1 = new QVBoxLayout();
        QBoxLayout *boxlayout = qobject_cast<QBoxLayout *>(buttonGroupEndOfLine->layout());
        if (boxlayout)
            boxlayout->addLayout(vboxLayout1);
        vboxLayout1->setAlignment(Qt::AlignTop);
        vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
        radioEndOfLineLF = new QRadioButton(buttonGroupEndOfLine);
        radioEndOfLineLF->setObjectName(QString::fromUtf8("radioEndOfLineLF"));
        radioEndOfLineLF->setChecked(true);

        vboxLayout1->addWidget(radioEndOfLineLF);

        radioEndOfLineCRLF = new QRadioButton(buttonGroupEndOfLine);
        radioEndOfLineCRLF->setObjectName(QString::fromUtf8("radioEndOfLineCRLF"));
        radioEndOfLineCRLF->setChecked(false);

        vboxLayout1->addWidget(radioEndOfLineCRLF);

        radioEndOfLineCR = new QRadioButton(buttonGroupEndOfLine);
        radioEndOfLineCR->setObjectName(QString::fromUtf8("radioEndOfLineCR"));
        radioEndOfLineCR->setChecked(false);

        vboxLayout1->addWidget(radioEndOfLineCR);


        vboxLayout->addWidget(buttonGroupEndOfLine);

        Spacer3 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        vboxLayout->addItem(Spacer3);

#ifndef UI_QT_NO_SHORTCUT
        textLabel1->setBuddy(comboBoxEncoding);
#endif // QT_NO_SHORTCUT
        QWidget::setTabOrder(radioEndOfLineLF, radioEndOfLineCRLF);
        QWidget::setTabOrder(radioEndOfLineCRLF, radioEndOfLineCR);

        retranslateUi(ExportDialogUI);

        QMetaObject::connectSlotsByName(ExportDialogUI);
    } // setupUi

    void retranslateUi(QWidget *ExportDialogUI)
    {
        ExportDialogUI->setWindowTitle(tr2i18n("Plain Text Export Dialog", 0));
        textLabel1->setText(tr2i18n("E&ncoding:", 0));
        buttonGroupEndOfLine->setTitle(tr2i18n("End of Line", 0));
        radioEndOfLineLF->setText(tr2i18n("&UNIX style (recommended; line feed only)", 0));
        radioEndOfLineCRLF->setText(tr2i18n("&Windows style (carriage return and line feed)", 0));
        radioEndOfLineCR->setText(tr2i18n("&MacOS style (carriage return only)", 0));
        Q_UNUSED(ExportDialogUI);
    } // retranslateUi

};

namespace Ui {
    class ExportDialogUI: public Ui_ExportDialogUI {};
} // namespace Ui

QT_END_NAMESPACE

class ExportDialogUI : public QWidget, public Ui::ExportDialogUI
{
    Q_OBJECT

public:
    ExportDialogUI(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~ExportDialogUI();

protected slots:
    virtual void languageChange();

};

#endif // EXPORTDIALOGUI_H

