#include <kdialog.h>
#include <klocale.h>

#ifndef UI_IMPORTDIALOGUI_H
#define UI_IMPORTDIALOGUI_H

#include <qvariant.h>


#include <Qt3Support/Q3ButtonGroup>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QRadioButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include <kcombobox.h>
#include "kcombobox.h"
#include "klineedit.h"

QT_BEGIN_NAMESPACE

class Ui_ImportDialogUI
{
public:
    QVBoxLayout *vboxLayout;
    QHBoxLayout *hboxLayout;
    QLabel *textLabel1;
    KComboBox *comboBoxEncoding;
    QSpacerItem *Spacer2_2;
    Q3ButtonGroup *buttonGroupParagraph;
    QVBoxLayout *vboxLayout1;
    QRadioButton *radioParagraphAsIs;
    QRadioButton *radioParagraphSentence;
    QRadioButton *radioParagraphOldWay;
    QSpacerItem *Spacer2;

    void setupUi(QWidget *ImportDialogUI)
    {
        if (ImportDialogUI->objectName().isEmpty())
            ImportDialogUI->setObjectName(QString::fromUtf8("ImportDialogUI"));
        ImportDialogUI->resize(430, 255);
        vboxLayout = new QVBoxLayout(ImportDialogUI);
        vboxLayout->setSpacing(6);
        vboxLayout->setMargin(11);
        vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
        hboxLayout = new QHBoxLayout();
        hboxLayout->setSpacing(6);
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        textLabel1 = new QLabel(ImportDialogUI);
        textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
        textLabel1->setTextFormat(Qt::PlainText);
        textLabel1->setWordWrap(false);

        hboxLayout->addWidget(textLabel1);

        comboBoxEncoding = new KComboBox(ImportDialogUI);
        comboBoxEncoding->setObjectName(QString::fromUtf8("comboBoxEncoding"));
        comboBoxEncoding->setEditable(true);

        hboxLayout->addWidget(comboBoxEncoding);

        Spacer2_2 = new QSpacerItem(106, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout->addItem(Spacer2_2);


        vboxLayout->addLayout(hboxLayout);

        buttonGroupParagraph = new Q3ButtonGroup(ImportDialogUI);
        buttonGroupParagraph->setObjectName(QString::fromUtf8("buttonGroupParagraph"));
        buttonGroupParagraph->setColumnLayout(0, Qt::Vertical);
        buttonGroupParagraph->layout()->setSpacing(6);
        buttonGroupParagraph->layout()->setMargin(11);
        vboxLayout1 = new QVBoxLayout();
        QBoxLayout *boxlayout = qobject_cast<QBoxLayout *>(buttonGroupParagraph->layout());
        if (boxlayout)
            boxlayout->addLayout(vboxLayout1);
        vboxLayout1->setAlignment(Qt::AlignTop);
        vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
        radioParagraphAsIs = new QRadioButton(buttonGroupParagraph);
        radioParagraphAsIs->setObjectName(QString::fromUtf8("radioParagraphAsIs"));
        radioParagraphAsIs->setChecked(true);

        vboxLayout1->addWidget(radioParagraphAsIs);

        radioParagraphSentence = new QRadioButton(buttonGroupParagraph);
        radioParagraphSentence->setObjectName(QString::fromUtf8("radioParagraphSentence"));

        vboxLayout1->addWidget(radioParagraphSentence);

        radioParagraphOldWay = new QRadioButton(buttonGroupParagraph);
        radioParagraphOldWay->setObjectName(QString::fromUtf8("radioParagraphOldWay"));

        vboxLayout1->addWidget(radioParagraphOldWay);


        vboxLayout->addWidget(buttonGroupParagraph);

        Spacer2 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        vboxLayout->addItem(Spacer2);

#ifndef UI_QT_NO_SHORTCUT
        textLabel1->setBuddy(comboBoxEncoding);
#endif // QT_NO_SHORTCUT

        retranslateUi(ImportDialogUI);

        QMetaObject::connectSlotsByName(ImportDialogUI);
    } // setupUi

    void retranslateUi(QWidget *ImportDialogUI)
    {
        ImportDialogUI->setWindowTitle(tr2i18n("Plain Text Import Dialog", 0));
        textLabel1->setText(tr2i18n("E&ncoding:", 0));
        buttonGroupParagraph->setTitle(tr2i18n("End of Paragraph", 0));
        radioParagraphAsIs->setText(tr2i18n("&As is: At the end of line", 0));
        radioParagraphSentence->setText(tr2i18n("&Sentence: If the end of line is the end of a sentence", 0));
        radioParagraphOldWay->setText(tr2i18n("Old &method: If the line is empty or has less than 40 characters", 0));
        Q_UNUSED(ImportDialogUI);
    } // retranslateUi

};

namespace Ui {
    class ImportDialogUI: public Ui_ImportDialogUI {};
} // namespace Ui

QT_END_NAMESPACE

class ImportDialogUI : public QWidget, public Ui::ImportDialogUI
{
    Q_OBJECT

public:
    ImportDialogUI(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~ImportDialogUI();

protected slots:
    virtual void languageChange();

};

#endif // IMPORTDIALOGUI_H

