/*
 * Copyright (c) 2008 Cyrille Berger <cberger@cberger.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

#ifndef _RULER_DECORATION_H_
#define _RULER_DECORATION_H_

#include "canvas/kis_canvas_decoration.h"

#include "KritaRulerAssistantCommon_export.h"

class Ruler;

class KRITARULERASSISTANTCOMMON_EXPORT RulerDecoration : public KisCanvasDecoration {
    public:
        RulerDecoration(KisView2* _view, Ruler* _ruler);
        ~RulerDecoration();
        /**
         * Set to true if the decoration is being edited.
         */
        void setEdition( bool v );
        Ruler* ruler() { return m_ruler; }
        void setRuler( Ruler* _ruler ) { m_ruler = _ruler; }
    protected:
        virtual void drawDecoration(QPainter& gc, const QPoint & documentOffset, const QRect& area, const KoViewConverter &converter);
    private:
        Ruler* m_ruler;
        bool m_edition;
};


#endif
